package cn.superdesk.uniorder.common.enums.common;


import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * @Description: 对账单 周期时间类型
 * 周期类型 1-发货时间;2-下单时间;3-完成时间;
 * @Author: linjinyu
 * @CreateDate: 2021/9/16 下午5:07
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/9/16 下午5:07
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public enum CommonAccountingDateTypeEnum {

	发货时间(1, "发货时间"),
	下单时间(2, "下单时间"),
	完成时间(3, "完成时间"),
	;

	private Integer key;
	private String  desc;

	CommonAccountingDateTypeEnum(Integer key, String desc) {
		this.key = key;
		this.desc = desc;
	}

	public Integer getKey() {
		return key;
	}

	public String getDesc() {
		return desc;
	}

	public static String getDesc(Integer key) {
		for (CommonAccountingDateTypeEnum c : CommonAccountingDateTypeEnum.values()) {
			if (c.key.equals(key)) {
				return c.getDesc();
			}
		}
		return null;
	}

	private static final Map<Integer, CommonAccountingDateTypeEnum> LOOKUP = new HashMap<>();

	static {
		for (CommonAccountingDateTypeEnum s : EnumSet.allOf(CommonAccountingDateTypeEnum.class)) {
			LOOKUP.put(s.getKey(), s);
		}
	}

	public static CommonAccountingDateTypeEnum get(Integer key) {
		return LOOKUP.get(key);
	}
}
